<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE beans PUBLIC '-//SPRING//DTD BEAN//EN' 'http://www.springframework.org/dtd/spring-beans.dtd'>
<beans>
    
    <!-- Patch pour ajouter un dossier dans data dictionary -->
    <bean id="patch.calque.1" class="org.alfresco.repo.admin.patch.impl.GenericBootstrapPatch" parent="basePatch">
        <property name="id">
            <value>patch_calque_1</value>
        </property>
        <property name="description">
            <value>dossier racine pour enregistrer les calques</value>
        </property>
        <property name="fixesFromSchema">
            <value>0</value>
        </property>
        <property name="fixesToSchema">
            <value>4113</value>
        </property>
        <property name="targetSchema">
            <value>4114</value>
        </property>
        <property name="importerBootstrap">
            <ref bean="spacesBootstrap" />
        </property>
        <property name="bootstrapView">
            <props>
                <prop key="path">/${spaces.company_home.childname}/${spaces.dictionary.childname}</prop>
                <prop key="location">alfresco/module/parapheur/bootstrap/calque_space.xml</prop>
                <prop key="messages">alfresco/module/parapheur/bootstrap/parapheur-bootstrap</prop>
            </props>
        </property>
    </bean>

    <!-- Bean pour les requetes javascript-->
    <bean id="calqueService" parent="baseJavaScriptExtension" class="fr.starxpert.iparapheur.calque.repo.impl.CalqueServiceImpl">
        <property name="extensionName">
            <value>calqueService</value>
        </property>
        <property name="nodeService">
            <ref bean="NodeService"/>
        </property>
        <property name="searchService">
            <ref bean="SearchService"/>
        </property>
        <property name="copyService">
            <ref bean="CopyService"/>
        </property>
        <property name="contentService">
            <ref bean="ContentService"/>
        </property>
        <property name="mimetypeService">
            <ref bean="MimetypeService"/>
        </property>
        <property name="namespaceService">
            <ref bean="NamespaceService"/>
        </property>
        <property name="storeRef">
            <value>${spaces.store}</value>
        </property>
    </bean>
	
	<!-- Bean pour les requetes javascript-->
    <bean id="impressionCalqueService" parent="baseJavaScriptExtension" class="fr.starxpert.iparapheur.calque.repo.impl.ImpressionCalqueServiceImpl">
        <property name="extensionName">
            <value>impressionService</value>
        </property>
        <property name="signatureTagMapString">
            <value>${parapheur.libersign.tag.signature.name.tenants}</value>
        </property>
        <property name="cachetTagMapString">
            <value>${parapheur.libersign.tag.cachet.name.tenants}</value>
        </property>
    </bean>
</beans>
